# Ion Mobility Yocto Manifest

Yocto repository to build and deploy a root filesystem image for Ion Mobility.

## Prerequisites

You must have all prerequisites for Yocto, plus the `repo` command.

**TODO** Determine prerequisites for Yocto.

You must also install [Google `repo`](https://gerrit.googlesource.com/git-repo/#install), which can be as simple as:

```sh
$ mkdir -p ~/.bin
$ PATH="${HOME}/.bin:${PATH}"
$ curl https://storage.googleapis.com/git-repo-downloads/repo > ~/.bin/repo
$ chmod a+rx ~/.bin/repo
```

## Getting Started

1. Clone the repository and sync it:

```sh
$ mkdir yocto
$ cd yocto
$ repo init -u ssh://git@github.com/Ion-Mobility-Systems/yocto-manifest.git -b main -m ion-mobility-yocto-gatesgarth.xml
$ repo sync
```

2. Enter the Yocto environment. This must be done every time you start to work on Yocto.

```sh
$ ./enter-env.sh
```

The first time you do this, you will be prompted to accept the NXP EULA.

When you are in the environment, the string `(yocto) ` is prefixed to your prompt.

3. Build an image. This can be done by building any available image. For example, `ion-demo-image`:

```sh
$ bitbake ion-demo-image
```

The resulting image file in `tmp/deploy/images/gridania-evt2-soc` may be written to an SD card or otherwise inspected.
